"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_shared_1 = require("@dgui/react-shared");
const react_1 = require("react");
const react_router_1 = require("react-router");
const BackControl = ({ tabId }) => {
    const { tabId: routeId } = (0, react_router_1.useParams)();
    const { tabs, tabOrder } = (0, react_1.useContext)(react_shared_1.TabContext);
    const { selectTab, tabIndex } = (0, react_1.useContext)(react_shared_1.TabIndexContext);
    const { tabId: selectedTabId } = (0, react_1.useMemo)(() => {
        return tabs[tabOrder[tabIndex]] || {};
    }, [
        tabIndex,
        tabOrder,
        tabs
    ]);
    (0, react_1.useEffect)(() => {
        if (routeId &&
            selectedTabId &&
            tabId === selectedTabId) {
            selectTab(tabOrder.indexOf(routeId));
        }
    }, [
        routeId
    ]);
    return null;
};
exports.default = BackControl;
